*** ../tcl7.0b1/./tests/upvar.test	Sat May  1 16:01:11 1993
--- ./tests/upvar.test	Sat Jul 17 14:38:22 1993
***************
*** 24,30 ****
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/upvar.test,v 1.3 93/05/01 16:01:10 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
--- 24,30 ----
  # ON AN "AS IS" BASIS, AND THE UNIVERSITY OF CALIFORNIA HAS NO OBLIGATION TO
  # PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
  #
! # $Header: /user6/ouster/tcl/tests/RCS/upvar.test,v 1.4 93/07/17 14:38:10 ouster Exp $ (Berkeley)
  
  if {[string compare test [info procs test]] == 1} then {source defs}
  
***************
*** 256,281 ****
      p1
  } {abcde 44}
  
! test upvar-7.1 {errors in upvar command} {
      list [catch upvar msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-7.2 {errors in upvar command} {
      list [catch {upvar 1} msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-7.3 {errors in upvar command} {
!     list [catch {upvar a b} msg] $msg
! } {1 {already at top level}}
! test upvar-7.4 {errors in upvar command} {
!     list [catch {upvar 1 a b} msg] $msg
! } {1 {already at top level}}
! test upvar-7.5 {errors in upvar command} {
!     list [catch {upvar #0 a b} msg] $msg
! } {1 {already at top level}}
! test upvar-7.6 {errors in upvar command} {
      proc p1 {} {upvar a b c}
      list [catch p1 msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-7.7 {errors in upvar command} {
      proc p1 {} {set a 33; upvar b a}
      list [catch p1 msg] $msg
  } {1 {variable "a" already exists}}
--- 256,303 ----
      p1
  } {abcde 44}
  
! test upvar-7.1 {upvar to same level} {
!     set x 44
!     set y 55
!     catch {unset uv}
!     upvar #0 x uv
!     set uv abc
!     upvar 0 y uv
!     set uv xyzzy
!     list $x $y
! } {abc xyzzy}
! test upvar-7.2 {upvar to same level} {
!     set x 1234
!     set y 4567
!     proc p1 {x y} {
! 	upvar 0 x uv
! 	set uv $y
! 	return "$x $y"
!     }
!     p1 44 89
! } {89 89}
! test upvar-7.3 {upvar to same level} {
!     set x 1234
!     set y 4567
!     proc p1 {x y} {
! 	upvar #1 x uv
! 	set uv $y
! 	return "$x $y"
!     }
!     p1 xyz abc
! } {abc abc}
! 
! test upvar-8.1 {errors in upvar command} {
      list [catch upvar msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-8.2 {errors in upvar command} {
      list [catch {upvar 1} msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-8.3 {errors in upvar command} {
      proc p1 {} {upvar a b c}
      list [catch p1 msg] $msg
  } {1 {wrong # args: should be "upvar ?level? otherVar localVar ?otherVar localVar ...?"}}
! test upvar-8.4 {errors in upvar command} {
      proc p1 {} {set a 33; upvar b a}
      list [catch p1 msg] $msg
  } {1 {variable "a" already exists}}
